Package org.opensaml.saml.saml2.core.impl

# Class EncryptedElementTypeImpl

java.lang.Object
org.opensaml.core.xml.AbstractXMLObject
org.opensaml.saml.saml2.core.impl.EncryptedElementTypeImpl

All Implemented Interfaces:
  `XMLObject`, `SAMLObject`, `EncryptedElementType`

Direct Known Subclasses:
  `EncryptedAssertionImpl`, `EncryptedAttributeImpl`, `EncryptedIDImpl`, `NewEncryptedIDImpl`

public class EncryptedElementTypeImpl extends AbstractXMLObject implements EncryptedElementType
A concrete implementation of `EncryptedElementType`.

## Field Summary

Fields
Modifier and Type
Field
Description
`private EncryptedData`
`encryptedData`
EncryptedData child element.
`private final XMLObjectChildrenList<EncryptedKey>`
`encryptedKeys`
EncryptedKey children.

### Fields inherited from interface org.opensaml.saml.saml2.core.EncryptedElementType

`TYPE_LOCAL_NAME, TYPE_NAME`

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`EncryptedElementTypeImpl(String namespaceURI, String elementLocalName, String namespacePrefix)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`EncryptedData`
`getEncryptedData()`
Get the EncryptedData child element.
`List<EncryptedKey>`
`getEncryptedKeys()`
A list of EncryptedKey child elements.
`List<XMLObject>`
`getOrderedChildren()`
Gets an unmodifiable list of child elements in the order that they will appear in the DOM.
`void`
`setEncryptedData(EncryptedData newEncryptedData)`
Set the EncryptedData child element.

### Methods inherited from class org.opensaml.core.xml.AbstractXMLObject

`detach, ensureDOM, getDOM, getElementQName, getIDIndex, getNamespaceManager, getNamespaces, getNoNamespaceSchemaLocation, getObjectMetadata, getParent, getSchemaLocation, getSchemaType, hasChildren, hasParent, isNil, isNilXSBoolean, manageQualifiedAttributeNamespace, prepareAttributeValueForAssignment, prepareElementContentForAssignment, prepareForAssignment, prepareForAssignment, prepareForAssignment, registerOwnID, releaseChildrenDOM, releaseDOM, releaseParentDOM, releaseThisAndChildrenDOM, releaseThisandParentDOM, resolveID, resolveIDFromRoot, setDOM, setElementNamespacePrefix, setElementQName, setNil, setNil, setNoNamespaceSchemaLocation, setParent, setSchemaLocation, setSchemaType`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.opensaml.core.xml.XMLObject

`detach, ensureDOM, getDOM, getElementQName, getIDIndex, getNamespaceManager, getNamespaces, getNoNamespaceSchemaLocation, getObjectMetadata, getParent, getSchemaLocation, getSchemaType, hasChildren, hasParent, isNil, isNilXSBoolean, releaseChildrenDOM, releaseDOM, releaseParentDOM, resolveID, resolveIDFromRoot, setDOM, setNil, setNil, setNoNamespaceSchemaLocation, setParent, setSchemaLocation`

## Field Details

### encryptedData

@Nullable private EncryptedData encryptedData
EncryptedData child element.

### encryptedKeys

@Nonnull private final XMLObjectChildrenList<EncryptedKey> encryptedKeys
EncryptedKey children.

## Constructor Details

### EncryptedElementTypeImpl

protected EncryptedElementTypeImpl(@Nullable String namespaceURI, @Nonnull String elementLocalName, @Nullable String namespacePrefix)
Constructor.

Parameters:
  `namespaceURI` - the namespace the element is in
  `elementLocalName` - the local name of the XML element this Object represents
  `namespacePrefix` - the prefix for the given namespace

## Method Details

### getEncryptedData

@Nullable public EncryptedData getEncryptedData()
Get the EncryptedData child element.

Specified by:
  `getEncryptedData` in interface `EncryptedElementType`
Returns:
  the EncryptedData child element

### setEncryptedData

public void setEncryptedData(@Nullable EncryptedData newEncryptedData)
Set the EncryptedData child element.

Specified by:
  `setEncryptedData` in interface `EncryptedElementType`
Parameters:
  `newEncryptedData` - the new EncryptedData child element

### getEncryptedKeys

@Nonnull @Live public List<EncryptedKey> getEncryptedKeys()
A list of EncryptedKey child elements.

Specified by:
  `getEncryptedKeys` in interface `EncryptedElementType`
Returns:
  a list of EncryptedKey child elements

### getOrderedChildren

@Nullable @NotLive @Unmodifiable public List<XMLObject> getOrderedChildren()
Gets an unmodifiable list of child elements in the order that they will appear in the DOM.

Specified by:
  `getOrderedChildren` in interface `XMLObject`
Returns:
  ordered list of child elements